import adapay

adapay.config_path = 'config_folder_path'
adapay.init_config("merchant_id", True)

# -------------创建企业用户-------------
corp_member = adapay.CorpMember.create(app_id='app_id',
                                       order_no='order_no',
                                       member_id='corp_member_id',
                                       name='测试企业1',
                                       prov_code='prov_code',
                                       area_code='area_code',
                                       social_credit_code='social_credit_code',
                                       social_credit_code_expires='20200101',
                                       legal_person='frname',
                                       legal_certId='1234567890',
                                       legal_mp='13333333333',
                                       address='企业地址测试',
                                       attach_file='file_path',
                                       bank_acct_type='1')

print('create corp_member resp:\n' + str(corp_member))

# -------------查询企业用户-------------
corp_member = adapay.CorpMember.query(app_id='app_id',
                                      member_id='member_id')

print('query corp_member resp:\n' + str(corp_member))
