import adapay

adapay.config_path = 'config_folder_path'
adapay.init_config("merchant_id", True)

# -------------创建用户-------------
member = adapay.Member.create(app_id='app_id',
                              member_id='member_id')

if member['status'] == 'succeeded':
    print('创建用户成功')

else:
    print('创建用户失败')

# -------------查询用户-------------
member = adapay.Member.query(app_id='app_id',
                             member_id='member_id')

print('query member resp:\n' + str(member))

# -------------查询用户列表-------------
member_list = adapay.Member.query_list(app_id='app_id')
print('query member list resp:\n' + str(member_list))

# -------------更新用户-------------
member = adapay.Member.update(app_id='app_id',
                              member_id='member_id',
                              location='new_address',
                              email='new_e_address@adapay.com',
                              tel_no='new_mobile_phone_num',
                              nickname='new_name')
print('update member resp:\n' + str(member))
